Bug 168804 - [PATCH] math/fftw3 with openmp option fails to build with clang
Summary: [PATCH] math/fftw3 with openmp option fails to build with clang
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Brendan Fabeny
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-07 15:20 UTC by meyer.arne83
Modified: 2012-06-09 00:05 UTC (History)
0 users

See Also:


Attachments
file.diff (314 bytes, patch)
2012-06-07 15:20 UTC, meyer.arne83
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description meyer.arne83 2012-06-07 15:20:07 UTC
checking for OpenMP flag of C compiler... unknown
configure: error: don't know how to enable OpenMP
===>  Script "configure" failed unexpectedly.

Fix: If you chose the openmp option, build fftw3 either with gcc from base or ports.
IIRC base gcc has openmp, gcc46 has it for sure.

Patch attached with submission follows:
How-To-Repeat: try to build fftw3 with openmp support using clang
Comment 1 Edwin Groothuis freebsd_committer 2012-06-08 00:34:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bf

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2012-06-08 23:38:44 UTC
bf          2012-06-08 22:38:32 UTC

  FreeBSD ports repository

  Modified files:
    math/fftw3           Makefile 
  Log:
  exit earlier, and with a more helpful error message, when attempting to
  build the OpenMP libraries with clang [1]; shorten a long line
  
  PR:             168804 [1]
  
  Revision  Changes    Path
  1.73      +6 -2      ports/math/fftw3/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 b. f. 2012-06-08 23:55:01 UTC
I thought that it was well-known that clang doesn't support OpenMP (in
fact, I disabled the OPENMP option by default as a concession to those
who were experimenting with clang), but I should have known that
someone would try to do this.  I will make builds exit earlier, with a
more helpful message, but I am not willing to dictate that users use a
certain compiler.  Those users that are using a custom compiler
(clang) with a non-default option (OPENMP) should be prepared to make
this selection themselves, either in the environment, or on the
command-line, or in a number of included Makefiles that are available.

b.
Comment 4 Brendan Fabeny freebsd_committer 2012-06-09 00:05:39 UTC
State Changed
From-To: open->closed

The port has been changed to exit earlier, and with a more helpful error 
message, in this case. The user should specify a suitable compiler when 
using this option.